# Plug-in action

An action block that performs a “setting” action of an app which support the Tasker and Locale plug-in architecture.

The fiber will proceed immediately without pause.

When configuring a plug-in, to include a variable then its name should be preceded by a percent (%) character, that’s the string interpolation syntax used by Tasker.

Privacy warning! When a plug-in has been configured, the configuration will be stored in the flow, the data within it is foreign to Automate and may contain sensitive information. Be wary of sharing a flow using this block.

## Options

- Ignore timeout — whether to ignore any timeout the plug-in request, a workaround for non-compliant plug-ins.

## Output variables

If a plug-in support result variables, a list of variables may be displayed once the plug-in has been configured. An alternative, if no variables are displayed, is to enable the Allow plug-in to set any variable option and assign the variables from within the plug-in during configuration.